Subject: Re: [sip-overload] I-D Action:draft-ietf-soc-overload-design-02.txt

From: Volker Hilt <[email-masked]>
Date: Wed, 1 Dec 2010 22:18:59 -0500

Partha,

thanks for your comments. More inline.

> The draft looks good. Few of my comments are as follows:
> Sec 1 Para 1 line last: I doubt whether disk resources is part of this
> design. In case disk resource is not available, it leads to 500 response
> code and not 503. In case SIP recording, the disk resource is possible
> to exhaust often but it does not mean, it is SIP overload. Please
> explain the scenario where disk resource leads to overload.

An example is when disk access is becoming a bottleneck that slows down 
a server to a point where it cannot respond. Another example would be 
where a disk overflow (possibly caused by other software) and the 
related cleanup reduces the capacity of the server. I.e., this is not 
about a disk failure.

> Sec 1 Para 4 line last: "coordination is of scope for this document" has
> to changed as
> "coordination is outside the scope for this document"

Good catch! Changed.

> Sec 8 or 9: The transport layer usage of SIP is one of the main criteria
> which decides the performance of the system. Say SIP over UDP provides
> more throughput compare to SIP over TLS. There is a significant impact
> in performance when compare to SIP over IPv6 to SIP over IPv4. I suppose
> that this design assumes about the single type of transport for the
> system. It is better to indicate this assumption.
>
Optimizing the performance of a SIP server by choosing the most 
efficient transport protocol is out of scope for this draft. The design 
does not make an assumption about the IP version or transport protocol 
and does not depend on it.

> Sec 9.1 Para last line last: The last line shall be added to show how to
> overcome the brief overload in the system. The text like "the
> combination of Rate-based Overload Control and Local Overload Control
> algorithm avoid the overload in the system."

There is text along these lines in 5.3., second paragraph.

Thanks,

Volker

> ------------------------------------------------------------------------
> *From:* [email-masked] on behalf of [email-masked]
> *Sent:* Sat 11/20/2010 12:30 AM
> *To:* [email-masked]
> *Cc:* [email-masked]
> *Subject:* [sip-overload] I-D Action:draft-ietf-soc-overload-design-02.txt
>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the SIP Overload Control Working Group of
> the IETF.
>
>
> Title : Design Considerations for Session Initiation Protocol (SIP)
> Overload Control
> Author(s) : V. Hilt, et al.
> Filename : draft-ietf-soc-overload-design-02.txt
> Pages : 23
> Date : 2010-11-19
>
> Overload occurs in Session Initiation Protocol (SIP) networks when
> SIP servers have insufficient resources to handle all SIP messages
> they receive. Even though the SIP protocol provides a limited
> overload control mechanism through its 503 (Service Unavailable)
> response code, SIP servers are still vulnerable to overload. This
> document discusses models and design considerations for a SIP
> overload control mechanism.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-soc-overload-design-02.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>